"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getModels_1 = require("./parser/getModels");
const getServer_1 = require("./parser/getServer");
const getServiceVersion_1 = require("./parser/getServiceVersion");
const getServices_1 = require("./parser/getServices");
/**
 * Parse the OpenAPI specification to a Client model that contains
 * all the models, services and schema's we should output.
 * @param openApi The OpenAPI spec  that we have loaded from disk.
 */
function parse(openApi) {
    return {
        version: getServiceVersion_1.getServiceVersion(openApi.info.version),
        server: getServer_1.getServer(openApi),
        models: getModels_1.getModels(openApi),
        services: getServices_1.getServices(openApi),
    };
}
exports.parse = parse;
