"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getEnumValues_1 = require("./getEnumValues");
function getEnumType(enumerators, addParentheses = false) {
    // Fetch values from the symbols, just to be sure we filter out
    // any double values and finally we sort them to make them easier
    // to read when we use them in our generated code.
    const values = getEnumValues_1.getEnumValues(enumerators);
    // Add grouping parentheses if needed. This can be handy if enum values
    // are used in Arrays, so that you will get the following definition:
    // const myArray: ('EnumValue1' | 'EnumValue2' | 'EnumValue3')[];
    if (values.length > 1 && addParentheses) {
        return `(${values.join(' | ')})`;
    }
    return values.join(' | ');
}
exports.getEnumType = getEnumType;
